Subject: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Juri Linkov <[email-masked]>
Date: Sun, 10 Dec 2023 19:46:58 +0200

> Okay, well, if we think about it in terms of finishing the feature, then
> as the person who worked on it previously, could you share how you think
> it ought to work?
>
> ISTM that a single tab in Eshell starting completion, and a single tab
> not popping up a *Completions* buffer, are pretty clearly what we would
> want it to do, but maybe I just got used to it :)

I think that Eshel is right about setting `completion-in-region-function`
to a new function.  This function should be like `completion--in-region`
but without this line:

  (completion--in-region-1 start end)

If you just remove this line from `completion--in-region` then
it should work like you expected without popping up *Completions*.